function Ped00301_posicaoFinanceiraCliente_Repository (localStorageEngine, restEngine) {

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - DESKTOP
    this.getPosicaoFinanceira = function(filter) {
        return restEngine.post('ped#/posicaoFinanceira/returnPosicao', {
            "requestType": "DataSet",
            "dataset": filter
        });
    };
    
    this.getContasAbertas = function(filter) {
        return restEngine.post('ped#/posicaoFinanceira/returnContasAbertas', {
            "requestType": "DataSet",
            "dataset": filter
        });
    };
    
    this.getTipoRecAbertas = function(filter) {
        return restEngine.post('ped#/posicaoFinanceira/returnTipoRecAbertas', {
            "requestType": "DataSet",
            "dataset": filter
        });
    };
    
    this.getContasFechadas = function(filter) {
        return restEngine.post('ped#/posicaoFinanceira/returnContasFechadas', {
            "requestType": "DataSet",
            "dataset": filter
        });
    };
    
    this.getTipoRecFechadas = function(filter) {
        return restEngine.post('ped#/posicaoFinanceira/returnTipoRecFechadas', {
            "requestType": "DataSet",
            "dataset": filter
        });
    };
    
    this.getEndereco = function(filter) {
        return restEngine.post('ped#/posicaoFinanceira/returnEndereco', {
            "requestType": "DataSet",
            "dataset": filter
        });
    };
    
    this.getHistorico = function(filter) {
        return restEngine.post('ped#/posicaoFinanceira/returnHistorico', {
            "requestType": "DataSet",
            "dataset": filter
        });
    };
    
    this.getHistContas = function(filter) {
        return restEngine.post('ped#/posicaoFinanceira/returnHistContas', {
            "requestType": "DataSet",
            "dataset": filter
        });
    };
    
    this.retornaUnidadeLogada = function(){
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
        ];
        return localStorageEngine.download("ped#/crud/filial", filter);
	};
}

Configuration(function (ContextRegister) {
    ContextRegister.register('Ped00301_posicaoFinanceiraCliente_Repository', Ped00301_posicaoFinanceiraCliente_Repository);
});